## zowe › ejes › batch › Output

Display a table of sysout in the JES2 Output queue, then enter the EJES Batch Shell. The interchangeable terms Output queue and Writer queue are used by the two JESes to describe the queue from which JES-managed or FSS-managed printers can select work.

#### Usage

zowe ejes batch Output [parameter-list] [options]

#### Positional Arguments

- `parameter-list` (string)

  - Optional list enclosed in double-quotes. May contain optional parameters, invocation primary selection criteria, and/or a command stack. The command stack may contain both host commands and meta commands like echo and download. For a list of meta commands, use the option --helpApp meta. For invocation parameters, see the (E)JES Reference Manual for information for the corresponding command for details about content and the list's internal order.

#### Options

- `--blanks` | `-b` (array)

  - Display blank lines to stderr (screen on). Off by default. Specify with no argument to turn on.

- `--cmdstack` | `-c` (string)

  - Start with a host command stack, separated by semicolons and enclosed in quotes.

- `--autoupdate` | `-a` | `--aup` (array)

  - Append the UPDATE command to the command stack when you press enter (if it doesn't end with an UPDATE). Not recommended when issuing FIND requests. Off by default. Specify with no argument to turn on.

- `--debug` | `--dbg` | `--dv` | `--debug-value` (number)

  - Specify a numeric debugging mode.

- `--echo` | `-e` (array)

  - Display host screen output to stdout. Off by default. Specify with no argument to turn on.

- `--inactivity` | `-i` (number)

  - Specify host activity timeout in minutes (starts set to 2).

- `--jes2` | `-2` (boolean)

  - Use the JES2 spooler instead of the default spooler.

- `--jes3` | `-3` (boolean)

  - Use the JES3 or JES3plus spooler instead of the default spooler.

- `--subsystem` (string)

  - Name of the spooler to use instead of the default spooler.

- `--screen` | `-s` (array)

  - Display host screen output to stderr. Off by default. Specify with no argument to turn on.

- `--terminal` | `-t` (string)

  - Set terminal emulation size or type. String: [*|[<number>[,|x] <number>]|[2|3|4|5]

- `--quiet` | `-q` (array)

  - Prevent output of interactive details, including version title on start and exit code on exit.

#### EJES Connection Options

- `--protocol` | `--prot` (string)

  - Protocol used to access (E)JES server.

    Default value: https
    Allowed values: http, https, list, help

- `--host` (string)

  - The (E)JES server host name.

- `--port` (number)

  - The (E)JES server port.

    Default value: 443

- `--user` (string)

  - Mainframe (E)JES user name, which can be the same as your TSO login.

- `--password` | `--pass` | `--pw` (string)

  - Mainframe (E)JES password, which can be the same as your TSO password.

- `--reject-unauthorized` | `--rejectunauthorized` | `--ru` (boolean)

  - Reject self-signed certificates.

    Default value: true

- `--base-path` | `--basepath` | `--bp` (string)

  - The base path for your API mediation layer instance. Specify this option to prepend the base path to all (E)JES resources when making REST requests.

- `--color-scheme` | `--scheme` | `--cs` (string)

  - Accessibility option: Specify the name of a color scheme. User scheme files may also be created and specified to provide better contrast or to favor easier to see colors. For a how-to, use "zowe ejes emulate batch --helpApp scheme-info". Zowe ejes log stream ignores this option as it outputs plain text by default, only colorizing when ANSI color options are specified.

    Allowed values: dark, light, powershell, nono, none, user-scheme-file, list, help

    Default value: dark

- `--no-color` | `--nocolor` | `--nc` (string)

  - Accessibility option: Specify to prevent colorization of the CLI. Same effect as defining NO_COLOR or FORCE_COLOR=0.

#### Profile Options

- `--ejes-profile` | `--ejes-p` (string)

  - The name of a (ejes) profile to load for this command execution.